/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */



/**
 * Classe de préchargement de tous les éléments du jeu
 * 
 * @param  {[type]} game [description]
 * @return {[type]}      [description]
 */
var preload = function(game){}


/**
 * Les méthodes
 * 
 * @type {Object}
 */
preload.prototype = {

	/**
	 * Préchargement des éléments du jeu
	 * 
	 * @return {[type]} [description]
	 */
	preload: function()
	{ 
		// barre de progression
		var loadingBar = this.add.sprite(160,240,"loading");
		loadingBar.anchor.setTo(0.5,0.5);

		this.load.setPreloadSprite(loadingBar);

		// chargement des images / sprites
		this.game.load.spritesheet("numbers","assets/numbers.png",100,100);
		this.game.load.image("gametitle","assets/game-title.png");
		this.game.load.image("play","assets/btn-play.png");
		this.game.load.image("higher","assets/btn-higher.png");
		this.game.load.image("lower","assets/btn-lower.png");
		this.game.load.image("gameover","assets/gameover.png");
	},


	/**
	 * Création de la scène du jeu,
	 * mise en place des graphismes...
	 * 
	 * @return {[type]} [description]
	 */
  	create: function()
  	{
  		// lance l'écran suivant
		this.game.state.start("GameTitle");
	}
}